> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/general/getting-started/envelope.md).

# Envelope

All API responses are in JSON format. A `result` field, with a value of `success` or `error` is returned with each request. In the event of an error, a `message` field will provide an error message.

An `access` object is also echoed back. It contains two ranges of timestamps:

* `access_range`: The time range for which the Client has access to the API
* `data_range` : The time range of data the Client is authorized to access

| Key         | Data type  | Description                                       |
| ----------- | ---------- | ------------------------------------------------- |
| `access`    | `{}`       | Time ranges of accesses.                          |
| `data`      | `[] \| {}` | Response result data.                             |
| `message`   | `string`   | Error message, if query was not successful.       |
| `query`     | `{}`       | All handled query parameters echoed back.         |
| `result`    | `string`   | `success` if query successful, `error` otherwise. |
| `time`      | `string`   | The current time at our endpoint.                 |
| `timestamp` | `long`     | The current time at our endpoint.                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kaiko.com/rest-api/general/getting-started/envelope.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
